v.out.lidar(1)

NAME
v.out.lidar - Exports vector points as LAS point cloud
Converts LAS LiDAR point clouds to a GRASS vector map with libLAS

KEYWORDS
vector, export, output, LIDAR, points

SYNOPSIS
v.out.lidar
v.out.lidar --help
v.out.lidar [-rw] input=name [layer=string] output=name [cats=range] [where=sql_query] [id_layer=string] [return_layer=string] [class_layer=string] [rgb_layer=string] [return_column=name] [n_returns_column=name] [class_column=name] [rgb_column=name] [red_column=name] [green_column=name] [blue_column=name] las_xyscale=float las_zscale=float [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-r
    Limit export to the current region

-w
    Ignore color table
    Ignore color table even when set and not other options are present

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of input vector map
    Or data source for direct OGR access

layer=string
    Layer number or name (’-1’ for all layers)
    A single vector map can be connected to multiple database tables. This number determines which table to use. When used with direct OGR access this is the layer name.
    Default: -1

output=name [required]
    Name for output file

cats=range
    Category values
    Example: 1,3,7-9,13

where=sql_query
    WHERE conditions of SQL statement without ’where’ keyword
    Example: income < 1000 and population >= 10000

id_layer=string
    Layer number to store generated point ID as category
    Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.

return_layer=string
    Layer number to store return number as category
    Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.

class_layer=string
    Layer number to store class number as category
    Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.

rgb_layer=string
    Layer number where RGB color is stored as category
    Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.

return_column=name
    Column with return number
    Name of attribute column

n_returns_column=name
    Column with return number
    Name of attribute column

class_column=name
    Column with return number
    Name of attribute column

rgb_column=name
    RGB color definition column
    Color definition in R:G:B form

red_column=name
    Column with red color
    Name of attribute column

green_column=name
    Column with green color
    Name of attribute column

blue_column=name
    Column with blue color
    Name of attribute column

las_xyscale=float [required]
    Internal scale to apply to X and Y values
    This scale does not change the values itself but only how precisely they are stored, for example 0.01 will preserve two decimal places
    Default: 0.01

las_zscale=float [required]
    Internal scale to apply to z values
    This scale does not change the values itself but only how precisely they are stored, for example 0.01 will preserve two decimal places
    Default: 0.01

DESCRIPTION
v.out.lidar converts GRASS vector map to a LiDAR point clouds in LAS format using the libLAS library.

The -r flag limits the export to the current computational region extent (see g.region). The where option limits the export by attributes (applied only when the columns are used for export).

LAS format stores the coordinates as integers rounding the decimal places. Before that a scale is applied to preserve a certain number of decimal places. This scale can be set using las_xyscale and las_xscale options. For example, the scale value 0.01 will preserve two decimal places while the value 1.0 will preserve none.

NOTES
The typical file extensions for the LAS format are .las and .laz (compressed). The compressed LAS (.laz) format can be exported only if libLAS has been compiled with LASzip support. It is also good when libLAS was compiled with GDAL. This is needed when working with projections.

EXAMPLE
Generate fractal surface and export is as point in LAS format:

g.region raster=elevation res=100
r.surf.fractal output=fractals
r.to.vect input=fractals output=fractals type=point -z
v.out.lidar input=fractals output=fractals.las

REFERENCES
ASPRS LAS format
LAS library

SEE ALSO
v.out.ogr

AUTHOR
Vaclav Petras

SOURCE CODE

Available at: v.out.lidar source code (history)

Latest change: Tuesday Dec 17 20:17:20 2024 in commit: d962e90c026708a4815ea2b9f46c0e84c17de22d

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2025 GRASS Development Team, GRASS GIS 8.4.1 Reference Manual